#pragma once
#include "ffgl/FFGL.h"
#include <string>

namespace ffglqs
{

class Param
{
protected:
	float value = 0;

public:
	Param();
	Param( std::string name );
	Param( std::string name, float value );

	virtual ffgl::FFResult SetValue( float v );

	virtual float GetValue() const;
	const std::string& GetName() const;
	FFUInt32 GetType() const;

protected:
	float value = 0;
	std::string name;
	FFUInt32 type;
};

}//End namespace ffglqs